# MeshGetType

Gets the Mesh type as a string from the Mesh object.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode PETSCDM_DLLEXPORT MeshGetType(Mesh mesh,MeshType *type)

Not Collective

### Input Parameter

mesh -Mesh context

### Output Parameter

name -name of Mesh type

### Keywords

Mesh, get, type

### See Also

MeshSetType()

Level:intermediate
Location: src/dm/mesh/mesh.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages